com.lowagie.text.pdf

## Class TrueTypeFont.FontHeader

- java.lang.Object
- - com.lowagie.text.pdf.TrueTypeFont.FontHeader

Enclosing class:
  TrueTypeFont

    protected static class TrueTypeFont.FontHeader
    extends java.lang.Object

The components of table 'head'.

### Field Summary

Fields
`(package private) int` `flags` A variable.
`(package private) int` `macStyle` A variable.
`(package private) int` `unitsPerEm` A variable.
`(package private) short` `xMax` A variable.
`(package private) short` `xMin` A variable.
`(package private) short` `yMax` A variable.
`(package private) short` `yMin` A variable.

### Constructor Summary

Constructors
`protected` `TrueTypeFont.FontHeader()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### flags

    int flags

A variable.

#### unitsPerEm

    int unitsPerEm

A variable.

#### xMin

    short xMin

A variable.

#### yMin

    short yMin

A variable.

#### xMax

    short xMax

A variable.

#### yMax

    short yMax

A variable.

#### macStyle

    int macStyle

A variable.

### Constructor Detail

#### TrueTypeFont.FontHeader

    protected TrueTypeFont.FontHeader()